Subject: Business Air News Bulletin - April 18, 2023
From: [email-masked]
To: [email-masked]
Date: Wed, 19 Apr 2023 05:05:03 +0100

B U S I N E S S   A I R   N E W S  -  B U L L E T I N
A selection of the latest business aviation news from www.businessairnews.com

Jetex to build flagship terminal at Al Bateen

Jetex Abu Dubai will play a vital role in local social and economic development by providing connectivity and hospitality that showcases the emirate as a prime travel destination, promoting trade, tourism and GDP growth.

SAR and Epps come together for Aero Center Epps Atlanta

Aero Center Epps Atlanta is the only full-service, integrated FBO at the DeKalb-Peachtree airport in Atlanta, Georgia. It is the result of a collaboration between SAR Trilogy Management and family-owned Epps Aviation.

Skyservice adds ‘essential hub’ in Vancouver

Skyservice Vancouver is the company's 11th FBO and sixth World Fuel Air Elite location in Canada, providing ground handling, fuel and hangarage services along with customer service, management and charter services.

Early Easter subdues European charter trend

There is always less flying during Easter holidays and as that came earlier this year, trends are suppressed compared to 2022 and 2019. But all is not well with the economy and some are wary of spending on flights.

VistaJet says aloha to Hualalai resort collaboration

VistaJet and Four Season Hualalai will welcome guests for a weekend of fine wine and dining plus ocean-side activities, showcasing the luxury pairing of private travel and luxury tourism.

You can lead a horse to water, but you can't make it drink

In April 2022, AeroBid launched its live bidding private charter platform. A year later and founder and CEO Zaher Deir talks about how the platform has been received by the marketplace.

To unsubscribe, please contact [email-masked].